<?php

define('DB_HOST', 'localhost');
define('DB_NAME', 'nahidkha_db');
define('DB_USER', 'nahidkha_db');
define('DB_PASS', 'V4evsuXo,}UMA91&');

define('ERROR_LOG_PATH', __DIR__ . '/bot_errors.log');
define('TMP_UPLOAD_DIR', __DIR__ . '/tmp');
define('CONTRACT_PDF_PATH', __DIR__ . '/contract.pdf');

define('PRODUCT_IMAGE_STORAGE_PATH', __DIR__ . '/public/uploads/products');
define('PRODUCT_IMAGE_PUBLIC_URL_BASE', 'https://bot.khazaesafrron.ir/public/uploads/products');

define('SESSION_TIMEOUT_SECONDS', 3600);
define('ADMIN_PRODUCTS_PER_PAGE', 5);
define('ADMIN_USERS_PER_PAGE', 5);
define('ADMIN_ORDERS_PER_PAGE', 5);
define('CUSTOMER_ORDERS_PER_PAGE', 5);
define('PROVINCES_CITIES_PER_PAGE', 8);
define('BC_SCALE', 2);

define('TELEGRAM_BOT_TOKEN', '8201919822:AAGYWDUjXSD7AJ4tYGGtvYLUr0IaBVDv9PE');
define('TELEGRAM_API_BASE_URL', 'https://api.telegram.org/');

define('BALE_BOT_TOKEN', '2141349060:ErX_p8lcUOP2f1zx1-ELDfHgh9_wYUvemks');
define('BALE_API_BASE_URL', 'https://tapi.bale.ai/');

define('API_IR_TOKEN', 'Bearer vAtqRUygQGADry959UQI95Y2fT7hpRy/nFb1oEYVQ+P+W/XQo4qGW71eYUakZDQRaSdvRL/Nlf6u392mYHGcDJFdWC9tScH+S5ohKRFx3po=');
define('API_BASE_URL', 'https://s.api.ir/api/sw1/');

// تنظیمات زرین‌پال
define('ZARINPAL_MERCHANT_ID', '296c57d5-3673-4142-9ab5-341ef7ab723f');
define('ZARINPAL_API_REQUEST_URL', 'https://api.zarinpal.com/pg/v4/payment/request.json');
define('ZARINPAL_API_VERIFY_URL', 'https://api.zarinpal.com/pg/v4/payment/verify.json');
define('ZARINPAL_STARTPAY_URL', 'https://www.zarinpal.com/pg/StartPay/');
define('ZARINPAL_CALLBACK_URL', 'https://bot.khazaesafrron.ir/public/zarinpal_callback.php');

// تنظیمات زیبال
define('ZIBAL_MERCHANT', '692055b9666ab90021740fcc'); // در محیط واقعی مرچنت کد خود را جایگزین کنید
define('ZIBAL_CALLBACK_URL', 'https://bot.khazaesafrron.ir/public/zibal_callback.php');
define('ZIBAL_API_REQUEST_URL', 'https://gateway.zibal.ir/v1/request');
define('ZIBAL_API_VERIFY_URL', 'https://gateway.zibal.ir/v1/verify');
define('ZIBAL_STARTPAY_URL', 'https://gateway.zibal.ir/start/');

define('PAYMENT_PAGE_URL', 'https://bot.khazaesafrron.ir/pay.php');

define('CARD_ENCRYPTION_KEY', 'YourSecure32ByteEncryptionKey!!!');
define('CARD_ENCRYPTION_IV', 'YourSece16ByteIV');

define('FILE_ENCRYPTION_KEY', 'YourSeparate32ByteFileEncKey!!!1');
define('FILE_ENCRYPTION_IV', 'YourFile16ByteIV');

define('TELEGRAM_BOT_USERNAME', 'CafeSaffron_bot');
define('BALE_BOT_USERNAME', 'cafesaffron_bot');

define('BRIDGE_PUSH_URL', 'https://bridge.nahidkhazaeshop.ir/bridge_push_relay.php');
define('BRIDGE_SECRET_TOKEN', 'YOUR_VERY_STRONG_SECRET_KEY_HERE');

?>